Package org.lwjgl.opengl

# Class ARBVertexShader

java.lang.Object
org.lwjgl.opengl.ARBVertexShader

public final class ARBVertexShader extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_CURRENT_VERTEX_ATTRIB_ARB`
Accepted by the <pname> parameter of GetVertexAttrib{dfi}vARB:
`static final int`
`GL_FLOAT_MAT2_ARB`
Returned by the <type> parameter of GetActiveAttribARB:
`static final int`
`GL_FLOAT_MAT3_ARB`
Returned by the <type> parameter of GetActiveAttribARB:
`static final int`
`GL_FLOAT_MAT4_ARB`
Returned by the <type> parameter of GetActiveAttribARB:
`static final int`
`GL_FLOAT_VEC2_ARB`
Returned by the <type> parameter of GetActiveAttribARB:
`static final int`
`GL_FLOAT_VEC3_ARB`
Returned by the <type> parameter of GetActiveAttribARB:
`static final int`
`GL_FLOAT_VEC4_ARB`
Returned by the <type> parameter of GetActiveAttribARB:
`static final int`
`GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_TEXTURE_COORDS_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_TEXTURE_IMAGE_UNITS_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_VARYING_FLOATS_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_VERTEX_ATTRIBS_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_VERTEX_UNIFORM_COMPONENTS_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_OBJECT_ACTIVE_ATTRIBUTE_MAX_LENGTH_ARB`
Accepted by the <pname> parameter GetObjectParameter{if}vARB:
`static final int`
`GL_OBJECT_ACTIVE_ATTRIBUTES_ARB`
Accepted by the <pname> parameter GetObjectParameter{if}vARB:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_ENABLED_ARB`
Accepted by the <pname> parameter of GetVertexAttrib{dfi}vARB:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_NORMALIZED_ARB`
Accepted by the <pname> parameter of GetVertexAttrib{dfi}vARB:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_POINTER_ARB`
Accepted by the <pname> parameter of GetVertexAttribPointervARB:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_SIZE_ARB`
Accepted by the <pname> parameter of GetVertexAttrib{dfi}vARB:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_STRIDE_ARB`
Accepted by the <pname> parameter of GetVertexAttrib{dfi}vARB:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_TYPE_ARB`
Accepted by the <pname> parameter of GetVertexAttrib{dfi}vARB:
`static final int`
`GL_VERTEX_PROGRAM_POINT_SIZE_ARB`
Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_VERTEX_PROGRAM_TWO_SIDE_ARB`
Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_VERTEX_SHADER_ARB`
Accepted by the <shaderType> argument of CreateShaderObjectARB and returned by the <params> parameter of GetObjectParameter{if}vARB:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBindAttribLocationARB(int programObj, int index, CharSequence name)`
Overloads glBindAttribLocationARB.
`static void`
`glBindAttribLocationARB(int programObj, int index, ByteBuffer name)`
`static void`
`glDisableVertexAttribArrayARB(int index)`
`static void`
`glEnableVertexAttribArrayARB(int index)`
`static String`
`glGetActiveAttribARB(int programObj, int index, int maxLength)`
Overloads glGetActiveAttribARB.
`static String`
`glGetActiveAttribARB(int programObj, int index, int maxLength, IntBuffer sizeType)`
Overloads glGetActiveAttribARB.
`static void`
`glGetActiveAttribARB(int programObj, int index, IntBuffer length, IntBuffer size, IntBuffer type, ByteBuffer name)`
`static int`
`glGetActiveAttribSizeARB(int programObj, int index)`
Overloads glGetActiveAttribARB.
`static int`
`glGetActiveAttribTypeARB(int programObj, int index)`
Overloads glGetActiveAttribARB.
`static int`
`glGetAttribLocationARB(int programObj, CharSequence name)`
Overloads glGetAttribLocationARB.
`static int`
`glGetAttribLocationARB(int programObj, ByteBuffer name)`
`static void`
`glGetVertexAttribARB(int index, int pname, DoubleBuffer params)`
`static void`
`glGetVertexAttribARB(int index, int pname, FloatBuffer params)`
`static void`
`glGetVertexAttribARB(int index, int pname, IntBuffer params)`
`static ByteBuffer`
`glGetVertexAttribPointerARB(int index, int pname, long result_size)`
`static void`
`glVertexAttrib1dARB(int index, double v0)`
`static void`
`glVertexAttrib1fARB(int index, float v0)`
`static void`
`glVertexAttrib1sARB(int index, short v0)`
`static void`
`glVertexAttrib2dARB(int index, double v0, double v1)`
`static void`
`glVertexAttrib2fARB(int index, float v0, float v1)`
`static void`
`glVertexAttrib2sARB(int index, short v0, short v1)`
`static void`
`glVertexAttrib3dARB(int index, double v0, double v1, double v2)`
`static void`
`glVertexAttrib3fARB(int index, float v0, float v1, float v2)`
`static void`
`glVertexAttrib3sARB(int index, short v0, short v1, short v2)`
`static void`
`glVertexAttrib4dARB(int index, double v0, double v1, double v2, double v3)`
`static void`
`glVertexAttrib4fARB(int index, float v0, float v1, float v2, float v3)`
`static void`
`glVertexAttrib4NubARB(int index, byte x, byte y, byte z, byte w)`
`static void`
`glVertexAttrib4sARB(int index, short v0, short v1, short v2, short v3)`
`static void`
`glVertexAttribPointerARB(int index, int size, boolean unsigned, boolean normalized, int stride, ByteBuffer buffer)`
`static void`
`glVertexAttribPointerARB(int index, int size, boolean unsigned, boolean normalized, int stride, IntBuffer buffer)`
`static void`
`glVertexAttribPointerARB(int index, int size, boolean unsigned, boolean normalized, int stride, ShortBuffer buffer)`
`static void`
`glVertexAttribPointerARB(int index, int size, boolean normalized, int stride, DoubleBuffer buffer)`
`static void`
`glVertexAttribPointerARB(int index, int size, boolean normalized, int stride, FloatBuffer buffer)`
`static void`
`glVertexAttribPointerARB(int index, int size, int type, boolean normalized, int stride, long buffer_buffer_offset)`
`static void`
`glVertexAttribPointerARB(int index, int size, int type, boolean normalized, int stride, ByteBuffer buffer)`
Overloads glVertexAttribPointerARB.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_VERTEX_SHADER_ARB

public static final int GL_VERTEX_SHADER_ARB
Accepted by the <shaderType> argument of CreateShaderObjectARB and returned by the <params> parameter of GetObjectParameter{if}vARB:

See Also:
  - Constant Field Values

### GL_MAX_VERTEX_UNIFORM_COMPONENTS_ARB

public static final int GL_MAX_VERTEX_UNIFORM_COMPONENTS_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_VARYING_FLOATS_ARB

public static final int GL_MAX_VARYING_FLOATS_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_VERTEX_ATTRIBS_ARB

public static final int GL_MAX_VERTEX_ATTRIBS_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_TEXTURE_IMAGE_UNITS_ARB

public static final int GL_MAX_TEXTURE_IMAGE_UNITS_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS_ARB

public static final int GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS_ARB

public static final int GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_TEXTURE_COORDS_ARB

public static final int GL_MAX_TEXTURE_COORDS_ARB
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_VERTEX_PROGRAM_POINT_SIZE_ARB

public static final int GL_VERTEX_PROGRAM_POINT_SIZE_ARB
Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_VERTEX_PROGRAM_TWO_SIDE_ARB

public static final int GL_VERTEX_PROGRAM_TWO_SIDE_ARB
Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_OBJECT_ACTIVE_ATTRIBUTES_ARB

public static final int GL_OBJECT_ACTIVE_ATTRIBUTES_ARB
Accepted by the <pname> parameter GetObjectParameter{if}vARB:

See Also:
  - Constant Field Values

### GL_OBJECT_ACTIVE_ATTRIBUTE_MAX_LENGTH_ARB

public static final int GL_OBJECT_ACTIVE_ATTRIBUTE_MAX_LENGTH_ARB
Accepted by the <pname> parameter GetObjectParameter{if}vARB:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_ENABLED_ARB

public static final int GL_VERTEX_ATTRIB_ARRAY_ENABLED_ARB
Accepted by the <pname> parameter of GetVertexAttrib{dfi}vARB:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_SIZE_ARB

public static final int GL_VERTEX_ATTRIB_ARRAY_SIZE_ARB
Accepted by the <pname> parameter of GetVertexAttrib{dfi}vARB:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_STRIDE_ARB

public static final int GL_VERTEX_ATTRIB_ARRAY_STRIDE_ARB
Accepted by the <pname> parameter of GetVertexAttrib{dfi}vARB:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_TYPE_ARB

public static final int GL_VERTEX_ATTRIB_ARRAY_TYPE_ARB
Accepted by the <pname> parameter of GetVertexAttrib{dfi}vARB:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_NORMALIZED_ARB

public static final int GL_VERTEX_ATTRIB_ARRAY_NORMALIZED_ARB
Accepted by the <pname> parameter of GetVertexAttrib{dfi}vARB:

See Also:
  - Constant Field Values

### GL_CURRENT_VERTEX_ATTRIB_ARB

public static final int GL_CURRENT_VERTEX_ATTRIB_ARB
Accepted by the <pname> parameter of GetVertexAttrib{dfi}vARB:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_POINTER_ARB

public static final int GL_VERTEX_ATTRIB_ARRAY_POINTER_ARB
Accepted by the <pname> parameter of GetVertexAttribPointervARB:

See Also:
  - Constant Field Values

### GL_FLOAT_VEC2_ARB

public static final int GL_FLOAT_VEC2_ARB
Returned by the <type> parameter of GetActiveAttribARB:

See Also:
  - Constant Field Values

### GL_FLOAT_VEC3_ARB

public static final int GL_FLOAT_VEC3_ARB
Returned by the <type> parameter of GetActiveAttribARB:

See Also:
  - Constant Field Values

### GL_FLOAT_VEC4_ARB

public static final int GL_FLOAT_VEC4_ARB
Returned by the <type> parameter of GetActiveAttribARB:

See Also:
  - Constant Field Values

### GL_FLOAT_MAT2_ARB

public static final int GL_FLOAT_MAT2_ARB
Returned by the <type> parameter of GetActiveAttribARB:

See Also:
  - Constant Field Values

### GL_FLOAT_MAT3_ARB

public static final int GL_FLOAT_MAT3_ARB
Returned by the <type> parameter of GetActiveAttribARB:

See Also:
  - Constant Field Values

### GL_FLOAT_MAT4_ARB

public static final int GL_FLOAT_MAT4_ARB
Returned by the <type> parameter of GetActiveAttribARB:

See Also:
  - Constant Field Values

## Method Details

### glVertexAttrib1sARB

public static void glVertexAttrib1sARB(int index, short v0)

### glVertexAttrib1fARB

public static void glVertexAttrib1fARB(int index, float v0)

### glVertexAttrib1dARB

public static void glVertexAttrib1dARB(int index, double v0)

### glVertexAttrib2sARB

public static void glVertexAttrib2sARB(int index, short v0, short v1)

### glVertexAttrib2fARB

public static void glVertexAttrib2fARB(int index, float v0, float v1)

### glVertexAttrib2dARB

public static void glVertexAttrib2dARB(int index, double v0, double v1)

### glVertexAttrib3sARB

public static void glVertexAttrib3sARB(int index, short v0, short v1, short v2)

### glVertexAttrib3fARB

public static void glVertexAttrib3fARB(int index, float v0, float v1, float v2)

### glVertexAttrib3dARB

public static void glVertexAttrib3dARB(int index, double v0, double v1, double v2)

### glVertexAttrib4sARB

public static void glVertexAttrib4sARB(int index, short v0, short v1, short v2, short v3)

### glVertexAttrib4fARB

public static void glVertexAttrib4fARB(int index, float v0, float v1, float v2, float v3)

### glVertexAttrib4dARB

public static void glVertexAttrib4dARB(int index, double v0, double v1, double v2, double v3)

### glVertexAttrib4NubARB

public static void glVertexAttrib4NubARB(int index, byte x, byte y, byte z, byte w)

### glVertexAttribPointerARB

public static void glVertexAttribPointerARB(int index, int size, boolean normalized, int stride, DoubleBuffer buffer)

### glVertexAttribPointerARB

public static void glVertexAttribPointerARB(int index, int size, boolean normalized, int stride, FloatBuffer buffer)

### glVertexAttribPointerARB

public static void glVertexAttribPointerARB(int index, int size, boolean unsigned, boolean normalized, int stride, ByteBuffer buffer)

### glVertexAttribPointerARB

public static void glVertexAttribPointerARB(int index, int size, boolean unsigned, boolean normalized, int stride, IntBuffer buffer)

### glVertexAttribPointerARB

public static void glVertexAttribPointerARB(int index, int size, boolean unsigned, boolean normalized, int stride, ShortBuffer buffer)

### glVertexAttribPointerARB

public static void glVertexAttribPointerARB(int index, int size, int type, boolean normalized, int stride, long buffer_buffer_offset)

### glVertexAttribPointerARB

public static void glVertexAttribPointerARB(int index, int size, int type, boolean normalized, int stride, ByteBuffer buffer)
Overloads glVertexAttribPointerARB.

### glEnableVertexAttribArrayARB

public static void glEnableVertexAttribArrayARB(int index)

### glDisableVertexAttribArrayARB

public static void glDisableVertexAttribArrayARB(int index)

### glBindAttribLocationARB

public static void glBindAttribLocationARB(int programObj, int index, ByteBuffer name)

### glBindAttribLocationARB

public static void glBindAttribLocationARB(int programObj, int index, CharSequence name)
Overloads glBindAttribLocationARB.

### glGetActiveAttribARB

public static void glGetActiveAttribARB(int programObj, int index, IntBuffer length, IntBuffer size, IntBuffer type, ByteBuffer name)

### glGetActiveAttribARB

public static String glGetActiveAttribARB(int programObj, int index, int maxLength, IntBuffer sizeType)
Overloads glGetActiveAttribARB.

Overloads glGetActiveAttribARB. This version returns both size and type in the sizeType buffer (at .position() and .position() + 1).

### glGetActiveAttribARB

public static String glGetActiveAttribARB(int programObj, int index, int maxLength)
Overloads glGetActiveAttribARB.

Overloads glGetActiveAttribARB. This version returns only the attrib name.

### glGetActiveAttribSizeARB

public static int glGetActiveAttribSizeARB(int programObj, int index)
Overloads glGetActiveAttribARB.

Overloads glGetActiveAttribARB. This version returns only the attrib size.

### glGetActiveAttribTypeARB

public static int glGetActiveAttribTypeARB(int programObj, int index)
Overloads glGetActiveAttribARB.

Overloads glGetActiveAttribARB. This version returns only the attrib type.

### glGetAttribLocationARB

public static int glGetAttribLocationARB(int programObj, ByteBuffer name)

### glGetAttribLocationARB

public static int glGetAttribLocationARB(int programObj, CharSequence name)
Overloads glGetAttribLocationARB.

### glGetVertexAttribARB

public static void glGetVertexAttribARB(int index, int pname, FloatBuffer params)

### glGetVertexAttribARB

public static void glGetVertexAttribARB(int index, int pname, DoubleBuffer params)

### glGetVertexAttribARB

public static void glGetVertexAttribARB(int index, int pname, IntBuffer params)

### glGetVertexAttribPointerARB

public static ByteBuffer glGetVertexAttribPointerARB(int index, int pname, long result_size)